> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get image task

> Get image generation status and resulting background or cover assets.

MCP tool: `podcast_get_image_task`. OAuth scope: `asset.read`.


## OpenAPI

````yaml api-reference/openapi.json GET /open/podcast/v1/images/task
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/images/task:
    get:
      tags:
        - Podcast
      summary: get image task
      description: Get image generation status and resulting background or cover assets.
      operationId: podcast_get_image_task
      parameters:
        - description: 任务类型, 1:photo/2:motion
          in: query
          name: type
          required: true
          schema:
            type: integer
        - description: unique_id
          in: query
          name: unique_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        items:
                          $ref: '#/components/schemas/vo.TaskPageItem'
                        type: array
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.TaskPageItem:
      properties:
        aspect_ratio:
          description: 宽高比 0:9比16/1:16比9
          type: integer
        create_time:
          description: 创建时间
          type: integer
        err_msg:
          description: 报错信息
          type: string
        id:
          description: 任务ID
          type: integer
        motion_info:
          allOf:
            - $ref: '#/components/schemas/vo.TaskOfMotion'
          description: motion任务信息
        output_url:
          description: 视频或者图片地址,photo是多张视频图片地址，motion是单个视频地址
          items:
            type: string
          type: array
        photo_info:
          allOf:
            - $ref: '#/components/schemas/vo.TaskOfPhoto'
          description: photo任务信息
        photo_tasks:
          description: >-
            PhotoTasks is populated for photo details so Text-to-Avatar can
            render

            the root task and all Generate More children in one polling payload.
          items:
            $ref: '#/components/schemas/vo.PhotoTask'
          type: array
        progress_desc:
          description: 生成状态 Generating：生成中的任务/ Queued：排队中的任务/Error：生成失败的任务/Success
          type: string
        type:
          description: 任务类型，1:photo/2:motion
          type: integer
        unique_id:
          description: 唯一ID
          type: string
      type: object
    vo.TaskOfMotion:
      properties:
        digital_person_count:
          description: 已经生成的数字人数量
          type: integer
        emotion:
          type: string
        gender:
          type: string
        gesture:
          type: string
        model:
          description: 使用的模型 0:runway 老模型/1:可灵1.6-标准/2:可灵1.6-高品质
          type: integer
        negative_prompt:
          description: 反向提示词
          type: string
        origin_url:
          description: motion供应商输出的原视频
          type: string
        photo_from:
          description: 1:从 Photo 任务生成/2:从 Photo 库生成
          type: integer
        photo_path_url:
          type: string
        photo_unique_id:
          description: photo 任务ID
          type: string
        resolution:
          description: 视频输出分辨率
          type: integer
      type: object
    vo.TaskOfPhoto:
      properties:
        age:
          type: string
        avatar_library_id:
          description: avatar_library 表ID
          type: integer
        avatar_library_name:
          description: avatar_library 表名称
          type: string
        background:
          type: string
        base_photo_url:
          description: 基础图片（向后兼容）
          type: string
        detail:
          type: string
        gender:
          type: string
        model:
          type: integer
        number_of_images:
          type: integer
        origin:
          description: 人种
          type: string
        photo_real:
          type: boolean
        preset_style:
          type: string
        quality:
          type: string
        reference_images:
          description: 参考图列表
          items:
            $ref: '#/components/schemas/vo.ReferenceImageResp'
          type: array
        resolution:
          type: string
        talking_pose:
          type: string
      type: object
    vo.PhotoTask:
      properties:
        err_msg:
          type: string
        output_url:
          type: string
        photo_unique_id:
          type: string
        progress:
          type: integer
        progress_desc:
          type: string
        task_unique_id:
          type: string
      type: object
    vo.ReferenceImageResp:
      properties:
        key:
          description: 类型：face/appearance/background
          type: string
        url:
          description: 图片URL
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````